Differences between revisions 24 and 26 (spanning 2 versions)
Revision 24 as of 2017-12-30 20:37:33
Size: 3947
Editor: vauss
Comment: sync with English version
Revision 26 as of 2019-05-28 19:49:54
Size: 3690
Editor: vauss
Comment: sync with English version
Deletions are marked like this. Additions are marked like this.
Line 6: Line 6:
Veuillez garder à l'esprit qu'il s'agit d'un guide rapide pour créer des rétroportages (« backports ») personnels et que ce n'est pas la manière attendue pour la création des backports officiels pour [[https://backports.debian.org/|backports.debian.org]]. Veuillez garder à l'esprit qu'il s'agit d'un guide rapide pour créer des rétroportages (« backports ») personnels et que ce n'est pas la manière attendue pour la création des backports officiels pour [[https://backports.debian.org/|backports.debian.org]]. Pour les rétroportages officiels, consultez [[https://wiki.debian.org/BuildingFormalBackports|cet article]].
Line 8: Line 8:
Dans cette page, nous prenons comme exemple le paquet mame à partir duquel nous souhaitons installer une version plus récente disponible dans sid/experimental. Si le paquet que vous cherchez n'est pas disponible dans Sid, mais dans un PPA d'Ubuntu, vous pouvez jeter un oeil sur la page [[CreatePackageFromPPA|Créer un paquet à partir d'un PPA]] ''(en anglais)''. Dans cette page, nous prenons comme exemple le paquet coreutils à partir duquel nous souhaitons installer une version plus récente disponible dans sid/experimental. Si le paquet que vous cherchez n'est pas disponible dans Sid, mais dans un PPA d'Ubuntu, vous pouvez jeter un oeil sur la page [[CreatePackageFromPPA|Créer un paquet à partir d'un PPA]] ''(en anglais)''.
Line 24: Line 24:
rmadison mame --architecture amd64
 mame | 0.146-5 | wheezy/non-free | amd64
 mame | 0.146-5 | jessie/non-free | amd64
 mame | 0.146-5 | sid/non-free | amd64
 mame | 0.148-1 | experimental/non-free | amd64
$ rmadison coreutils --architecture amd64
coreutils | 8.23-4 | oldstable | amd64
coreutils | 8.26-3 | stable | amd64
coreutils | 8.30-3 | testing | amd64
coreutils | 8.30-3 | unstable | amd64
Line 33: Line 33:
Avec votre navigateur, allez à la page http://packages.debian.org/sid/mame et cherchez le fichier dsc et copiez l'adresse du lien : Ajoutez sid à votre source.list, exécutez {{{apt update}}}, téléchargez les sources en utilisant la commande ci-dessous :
Line 36: Line 36:
dget -x http://ftp.de.debian.org/debian/pool/non-free/m/mame/mame_0.148-1.dsc apt source -t sid coreutils
Line 39: Line 39:
'''''Remarque :''' Si la commande ci-dessus se plaint de ne pas avoir trouvé le répertoire `~/.gnupg` , exécutez la commande `gpg -k` pour initialiser le répertoire GnuPG avant de réessayer.''

===== Trouvez et installez les dépendances trouvées dans debian/control =====
===== Installer les dépendances de construction =====
Line 43: Line 41:
cd mame-0.148
sudo mk-build-deps --install --remove
cd coreutils-*/
sudo mk-build-deps --install
Line 46: Line 44:
Cela installera un paquet nommé ''mame-buid-deps'' selon les dépendances de construction listées. Si vous désinstallez le paquet mame ultérieurement, ces dépendances de construction seront marquées comme "automatiquement installées et ne sont plus nécessaires" et pourront alors être enlevées avec la commande `apt-get autoremove`. Cela installera un paquet nommé ''coreutils-buid-deps'' selon les dépendances de construction listées. Si vous désinstallez le paquet mame ultérieurement, ces dépendances de construction seront marquées comme "automatiquement installées et ne sont plus nécessaires" et pourront alors être enlevées avec la commande `apt autoremove`.
Line 50: Line 48:
dch --local ~bpo9+ --distribution stretch-backports "compilé pour stretch-backports." dch --bpo
Line 69: Line 67:
sudo dpkg -i ../mame_0.148-1~bpo9+1_amd64.deb
sudo apt install ../coreutils_*_*.deb

Translation(s): English - Español - Français - Italiano - Русский


Veuillez garder à l'esprit qu'il s'agit d'un guide rapide pour créer des rétroportages (« backports ») personnels et que ce n'est pas la manière attendue pour la création des backports officiels pour backports.debian.org. Pour les rétroportages officiels, consultez cet article.

Dans cette page, nous prenons comme exemple le paquet coreutils à partir duquel nous souhaitons installer une version plus récente disponible dans sid/experimental. Si le paquet que vous cherchez n'est pas disponible dans Sid, mais dans un PPA d'Ubuntu, vous pouvez jeter un oeil sur la page Créer un paquet à partir d'un PPA (en anglais).

On n'a même pas besoin d'être superutilisateur sauf pour la première et la dernière étape !

Une autre méthode pour créer le rétroportage (« backport ») d'un paquet de la version Sid dans la version testing ou la version stable est décrite sur ce Wiki dans cette section de la page Debian unstable.

Installez les outils d'empaquetage pour Debian

sudo apt-get install packaging-dev debian-keyring devscripts equivs

Trouvez quelle est la version disponible dans l'archive Debian

$ rmadison coreutils --architecture amd64
coreutils  | 8.23-4        | oldstable  | amd64
coreutils  | 8.26-3        | stable     | amd64
coreutils  | 8.30-3        | testing    | amd64
coreutils  | 8.30-3        | unstable   | amd64

Téléchargez le fichier source .dsc de la version Sid

Ajoutez sid à votre source.list, exécutez apt update, téléchargez les sources en utilisant la commande ci-dessous :

apt source -t sid coreutils

Installer les dépendances de construction

cd coreutils-*/
sudo mk-build-deps --install

Cela installera un paquet nommé coreutils-buid-deps selon les dépendances de construction listées. Si vous désinstallez le paquet mame ultérieurement, ces dépendances de construction seront marquées comme "automatiquement installées et ne sont plus nécessaires" et pourront alors être enlevées avec la commande apt autoremove.

Mettez un numéro de révision de backport dans le journal des modifications

dch --bpo

Cela ajoutera quelque chose comme ~bpo8+ au numéro de version du paquet. Le tilde ~ donne au paquet une version inférieure et cela permet que le paquet soit correctement mis à jour lorsque vous passez à la version Debian suivante (c'est-à-dire que votre paquet sera remplacé par le paquet officiel de Debian).

Vérifiez que vous pouvez bien compiler le paquet

fakeroot debian/rules binary

Si cela devait échouer pour cause d'un fichier manquant, apt-file peut être utile pour localiser la dépendance dont vous avez besoin.

Compilez correctement le paquet, sans signature GPG

dpkg-buildpackage -us -uc

Installez-le et c'est fait !